- name: Pattern title
  set_fact:
    pattern_title: "*{{ ipattern }}-*"

- name: Find title of Kibana Index Patterns
  uri:
    url: https://{{ config.kibana.fqdn }}/api/saved_objects/_find?per_page=1000&type=index-pattern&fields=title
    method: GET
    headers: "{{ kibana_rest_headers }}"
    status_code: 200
  register: kibana_patterns

- name: Get Pattern Id
  set_fact:
    kibana_pattern_id: "{{ kibana_patterns.json.saved_objects | json_query(query) }}"
  vars:
    query: "[?attributes.title==`{{ pattern_title }}`].id"

- name: Index Pattern
  uri:
    url: https://{{ config.kibana.fqdn }}/api/saved_objects/index-pattern
    method: POST
    body_format: json
    headers: "{{ kibana_rest_headers }}"
    body:
      attributes:
        title: "{{ pattern_title }}"
        timeFieldName: "@timestamp"
    status_code: 200
  when: kibana_pattern_id | length == 0
